<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" (click)="save()">Lưu</button>
</div>
<nz-card>
  <form nz-form [formGroup]="form">
      <div nz-row [nzGutter]="[40, 24]">
        <div nz-col class="gutter-row" nzLg="24">
          <span class="emp-Title">
            {{ 'development.approvement-config.form.authorizedObject' | translate }}
          </span>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            (mbSelect)="getIssueLevel()"
            formControlName="issueLevelCode"
            [mbDataSelects]="dataCommon.issueLevel"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbPlaceholder="{{ 'development.approvement-config.form.issueLevelCode' | translate }}"
            mbLabelText="{{
            'development.approvement-config.form.issueLevelCode' | translate
          }} <span class='label__required'>*</span>"
            [mbType]="isSubmitted && form.controls['issueLevelCode'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['issueLevelCode'].errors != null"
            [mbErrors]="form.controls['issueLevelCode'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="3">
        <span class="emp-infoTitle">
          {{ 'development.approvement-config.form.signApprove' | translate }}  
        </span
        ><span class='star'>*</span><br/>
          <label
            nz-checkbox
            formControlName="canSign"
            (nzCheckedChange)="getIssueLevel()"
            >{{ 'development.approvement-config.sign' | translate }}</label>
        </div>
        <div nz-col class="gutter-row" nzLg="3">
        <span class="emp-infoTitle"></span
        ><br />
          <label
            nz-checkbox
            formControlName="canApprove"
            (nzCheckedChange)="getIssueLevel()">{{
            'development.approvement-config.approve' | translate
            }}</label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            (mbSelect)="getEmployeeByJobIds()"
            [mbDataSelects]="listNewTitle"
            mbKeyValue="jobId"
            mbKeyLabel="jobName"
            formControlName="employeeTitle"
            mbPlaceholder="{{ 'development.approvement-config.form.employeeTitle' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.employeeTitle' | translate }}
            <span class='label__required'>*</span>"
            [mbType]="isSubmitted && form.controls['employeeTitle'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['employeeTitle'].errors != null"
            [mbErrors]="form.controls['employeeTitle'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [mbDataSelects]="listFullName"
            mbKeyValue="empCode"
            mbKeyLabel="fullName"
            formControlName="employeeCode"
            mbPlaceholder="{{ 'development.approvement-config.form.employeeFullName' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.employeeFullName' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="24"></div>
      </div>
      <div nz-row [nzGutter]="[40, 24]">
        <div nz-col class="gutter-row" nzLg="24">
          <span class="emp-Title">
            {{ 'development.approvement-config.form.authorizedScope' | translate }}
          </span>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            formControlName="formCode"
            [mbDataSelects]="dataCommon.form"
            mbKeyLabel="formName"
            mbKeyValue="code"
            mbPlaceholder="{{ 'development.approvement-config.form.formCode' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.formCode' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            formControlName="sourceUnit"
            mbPlaceholder="{{ 'development.approvement-config.form.sourceUnit' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.sourceUnit' | translate }}"
            [mbType]="isSubmitted && form.controls['sourceUnit'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['sourceUnit'].errors != null"
            [mbErrors]="form.controls['sourceUnit'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-unit
            formControlName="targetUnit"
            mbPlaceholder="{{ 'development.approvement-config.form.targetUnit' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.targetUnit' | translate }}"
            [mbType]="isSubmitted && form.controls['targetUnit'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['targetUnit'].errors != null"
            [mbErrors]="form.controls['targetUnit'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-select-unit>
        </div>
        <div nz-col class="gutter-row" nzLg="3">
        <span class="emp-infoTitle"></span
        ><br />
          <label nz-checkbox formControlName="isSameUnit">{{
            'development.approvement-config.table.inUnit' | translate
            }}</label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-check-able
            (mbEventEmit)="emitValue($event, 'targetTitleCode')"
            [listOfSelectedValue]="form.controls['targetTitleCode']?.value"
            [mbShowAction]="false"
            formControlName="targetTitleCode"
            [mbDataSelects]="dataCommon?.title"
            mbKeyLabel="jobName"
            mbKeyValue="jobId"
            mbPlaceholder="{{ 'development.approvement-config.form.targetTitleCode' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.targetTitleCode' | translate }}"
          ></mb-select-check-able>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
        <span class="emp-infoTitle"></span
        ><br />
          <label nz-checkbox formControlName="isSameTitle">Cùng chức danh</label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-check-able
            (mbEventEmit)="emitValue($event, 'level')"
            [listOfSelectedValue]="form.controls['level']?.value"
            [mbDataSelects]="dataCommon?.levels"
            [mbShowAction]="false"
            formControlName="level"
            mbKeyValue="code"
            mbKeyLabel="name"
            mbPlaceholder="{{ 'development.approvement-config.form.level' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.level' | translate }}"
          ></mb-select-check-able>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
        <span class="emp-infoTitle"></span
        ><br />
          <label nz-checkbox formControlName="isSameLevel">{{
            'development.approvement-config.table.sameLevel' | translate
            }}</label>
        </div>
<!--        <div nz-col class="gutter-row" nzLg="6">-->
<!--          <mb-select-->
<!--            [mbShowAction]="false"-->
<!--            formControlName="targetPositionCode"-->
<!--            [mbDataSelects]="dataCommon.position"-->
<!--            mbKeyLabel="name"-->
<!--            mbKeyValue="id"-->
<!--            mbPlaceholder="{{ 'development.approvement-config.form.targetPositionCode' | translate }}"-->
<!--            mbLabelText="{{ 'development.approvement-config.form.targetPositionCode' | translate }}"-->
<!--          ></mb-select>-->
<!--        </div>-->
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select-check-able
            (mbEventEmit)="emitValue($event, 'targetLevelCode')"
            [listOfSelectedValue]="form.controls['targetLevelCode']?.value"
            [mbShowAction]="false"
            formControlName="targetLevelCode"
            [mbDataSelects]="dataCommon?.targetLevel"
            mbKeyLabel="name"
            mbKeyValue="id"
            mbPlaceholder="{{ 'development.approvement-config.form.targetLevelCode' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.targetLevelCode' | translate }}"
          ></mb-select-check-able>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            (mbSelect)="checksubArea($event)"
            [mbDataSelects]="dataCommon?.areas"
            formControlName="area"
            mbKeyValue="lvaValue"
            mbKeyLabel="lvaMean"
            mbPlaceholder="{{ 'development.approvement-config.form.areaList' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.areaList' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            [mbDataSelects]="subArea"
            formControlName="subArea"
            mbKeyValue="lvaValue"
            mbKeyLabel="lvaMean"
            mbPlaceholder="{{ 'development.approvement-config.form.listRegions' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.listRegions' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-select
            formControlName="businessLineCode"
            [mbDataSelects]="dataCommon.businessLine"
            mbKeyLabel="name"
            mbKeyValue="code"
            mbPlaceholder="{{ 'development.approvement-config.form.businessLineCode' | translate }}"
            mbLabelText="{{ 'development.approvement-config.form.businessLineCode' | translate }}"
          ></mb-select>
        </div>
        <div nz-col class="gutter-row" nzLg="24"></div>
      </div>
      <div nz-row [nzGutter]="[40, 24]">
        <div nz-col class="gutter-row" nzLg="24">
          <span class="emp-Title">Hiệu lực ủy quyền</span>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-date-picker
            formControlName="effectiveStartDate"
            [mbDisabledDate]="disabledStartDate"
            mbFormat="dd/MM/yyyy"
            mbLabelText="{{
            'development.approvement-config.form.effectiveStartDate' | translate
          }} <span class='label__required'>*</span>"
            mbPlaceholderText="dd/mm/yyyy"
            [mbType]="isSubmitted && form.controls['effectiveStartDate'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['effectiveStartDate'].errors != null"
            [mbErrors]="form.controls['effectiveStartDate'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-date-picker>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-date-picker
            formControlName="effectiveEndDate"
            [mbDisabledDate]="disabledEndDate"
            mbFormat="dd/MM/yyyy"
            mbLabelText="{{ 'development.approvement-config.form.effectiveEndDate' | translate }}"
            mbPlaceholderText="dd/mm/yyyy"
          ></mb-date-picker>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-input-text
            [mbMaxLength]="20"
            formControlName="decisionNumber"
            mbLabelText="{{ 'development.approvement-config.form.decisionNumber' | translate }}
            <span class='label__required'>*</span>"
            mbPlaceholderText="{{ 'development.approvement-config.form.decisionNumber' | translate }}"
            [mbType]="isSubmitted && form.controls['decisionNumber'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['decisionNumber'].errors != null"
            [mbErrors]="form.controls['decisionNumber'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          >
          </mb-input-text>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
          <mb-date-picker
            [mbDisabledDate]="disabledDecisionDate"
            formControlName="decisionDate"
            mbFormat="dd/MM/yyyy"
            mbLabelText="{{ 'development.approvement-config.form.dateIssued' | translate }}
            <span class='label__required'>*</span>"
            mbPlaceholderText="dd/mm/yyyy"
            [mbType]="isSubmitted && form.controls['decisionDate'].errors ? 'error' : 'default'"
            [mbShowError]="isSubmitted && form.controls['decisionDate'].errors != null"
            [mbErrors]="form.controls['decisionDate'].errors"
            [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
          ></mb-date-picker>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
        <span class="emp-infoTitle"></span
        ><br />
          <label nz-checkbox formControlName="hasConsultation">{{
            'development.approvement-config.table.needConsultation' | translate
            }}</label>
        </div>
        <div nz-col class="gutter-row" nzLg="6">
        <span class="emp-infoTitle"></span
        ><br />
          <label nz-checkbox formControlName="hasInterview">{{
            'development.approvement-config.table.needInterview' | translate
            }}</label>
        </div>
      </div>
  </form>
</nz-card>

<ng-template #footerTmplSingle>
  <mb-button mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="Hủy bỏ" (click)="modalRef.destroy()">
  </mb-button>
  <!-- <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="Lưu"
    (click)="modalRef.getContentComponent().addData()"
  ></mb-button> -->
</ng-template>
